%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global module_name stream-spigot

Name:           nodejs-%{module_name}
Version:        3.0.5
Release:        2%{?dist}
Summary:        Testing or converting simple functions into Readable streams

License:        MIT
URL:            https://github.com/brycebaril/node-stream-spigot
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(xtend)
BuildRequires:  npm(readable-stream)
%endif

%description
A readable stream generator, useful for testing or converting simple functions
into Readable streams.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep readable-stream ~1.x
%nodejs_fixdep xtend ~4.x


%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Dec 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.0.5-2
- Specify exclusively arch list as per nodejs packaging guidelines

* Wed Jan 28 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.0.5-1
- update to 3.0.5 upstream release

* Sat Dec 27 2014 Parag Nemade <pnemade AT redhat DOT com> - 3.0.4-1
- Initial packaging

